# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_FieldOfHArray1OfShape1 Class Reference

`#include <PTopoDS_FieldOfHArray1OfShape1.hxx>`

Inheritance diagram for PTopoDS_FieldOfHArray1OfShape1:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PTopoDS_FieldOfHArray1OfShape1 ()
Standard_EXPORT | PTopoDS_FieldOfHArray1OfShape1 (const Standard_Integer Size)
Standard_EXPORT | PTopoDS_FieldOfHArray1OfShape1 (const PTopoDS_FieldOfHArray1OfShape1 &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PTopoDS_FieldOfHArray1OfShape1 &Other)
void | operator= (const PTopoDS_FieldOfHArray1OfShape1 &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const PTopoDS_Shape1 &Value)
Standard_EXPORT PTopoDS_Shape1 & | Value (const Standard_Integer Index) const
PTopoDS_Shape1 & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PTopoDS_FieldOfHArray1OfShape1 ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PTopoDS_FieldOfHArray1OfShape1_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_FieldOfHArray1OfShape1::PTopoDS_FieldOfHArray1OfShape1 | ( |  | ) |

Standard_EXPORT PTopoDS_FieldOfHArray1OfShape1::PTopoDS_FieldOfHArray1OfShape1 | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PTopoDS_FieldOfHArray1OfShape1::PTopoDS_FieldOfHArray1OfShape1 | ( | const PTopoDS_FieldOfHArray1OfShape1 & | Varray | ) |

PTopoDS_FieldOfHArray1OfShape1::~PTopoDS_FieldOfHArray1OfShape1 | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PTopoDS_FieldOfHArray1OfShape1::Assign | ( | const PTopoDS_FieldOfHArray1OfShape1 & | Other | ) |

Standard_EXPORT void PTopoDS_FieldOfHArray1OfShape1::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PTopoDS_FieldOfHArray1OfShape1::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PTopoDS_FieldOfHArray1OfShape1::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PTopoDS_FieldOfHArray1OfShape1::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

PTopoDS_Shape1& PTopoDS_FieldOfHArray1OfShape1::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PTopoDS_FieldOfHArray1OfShape1::operator= | ( | const PTopoDS_FieldOfHArray1OfShape1 & | Other | ) | `[inline]`

Standard_EXPORT void PTopoDS_FieldOfHArray1OfShape1::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PTopoDS_FieldOfHArray1OfShape1::SetValue | ( | const Standard_Integer | Index,
|  | const PTopoDS_Shape1 & | Value
| ) |

Standard_EXPORT PTopoDS_Shape1& PTopoDS_FieldOfHArray1OfShape1::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PTopoDS_FieldOfHArray1OfShape1_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PTopoDS_FieldOfHArray1OfShape1.hxx